﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Orchard.ContentManagement.MetaData;
using Orchard.Core.Contents.Extensions;
using Orchard.Core.Settings.Metadata;
using Orchard.Data.Migration;

namespace MediaLibraryPickerFirstImage
{
    public class Migrations : DataMigrationImpl {

        public int Create() {
            ContentDefinitionManager.AlterPartDefinition("MlibFirstImagePart",
                                                         builder => builder.Attachable());
            ContentDefinitionManager.AlterTypeDefinition("BlogPost",
                                                         cfg => cfg
                                                                    .WithPart("MlibFirstImagePart")
                );

            return 1;

        }

        public int UpdateFrom1() {
            ContentDefinitionManager.AlterPartDefinition("MlibFirstImagePart",
                                               builder => builder.Attachable());
            ContentDefinitionManager.AlterTypeDefinition("BlogPost",
                                                         cfg => cfg
                                                                    .WithPart("MlibFirstImagePart")
                );
            return 2;
        }
    }
}